GWT 2.7.0

## com.google.gwt.view.client
Class TreeViewModel.DefaultNodeInfo<T>

    java.lang.Object
      com.google.gwt.view.client.TreeViewModel.DefaultNodeInfo<T>

All Implemented Interfaces:
  TreeViewModel.NodeInfo<T>

Enclosing interface:
  TreeViewModel

    public static class TreeViewModel.DefaultNodeInfo<T>

extends java.lang.Object
implements TreeViewModel.NodeInfo<T>

Default implementation of `TreeViewModel.DefaultNodeInfo`.

Constructor Summary
`TreeViewModel.DefaultNodeInfo(AbstractDataProvider<T> dataProvider, Cell<T> cell)` Construct a new `TreeViewModel.DefaultNodeInfo`.
`TreeViewModel.DefaultNodeInfo(AbstractDataProvider<T> dataProvider, Cell<T> cell, SelectionModel<? super T> selectionModel, CellPreviewEvent.Handler<T> selectionEventManager, ValueUpdater<T> valueUpdater)` Construct a new `TreeViewModel.DefaultNodeInfo`.
`TreeViewModel.DefaultNodeInfo(AbstractDataProvider<T> dataProvider, Cell<T> cell, SelectionModel<? super T> selectionModel, ValueUpdater<T> valueUpdater)` Construct a new `TreeViewModel.DefaultNodeInfo`.

Method Summary
`Cell<T>` | `getCell()` Get the `Cell` used to render the children of this node.
`ProvidesKey<T>` | `getProvidesKey()` Return the key provider for children of this node.
`SelectionModel<? super T>` | `getSelectionModel()` Get the `SelectionModel` used for the children of this node.
`ValueUpdater<T>` | `getValueUpdater()` Get the value updater associated with the cell.
`void` | `setDataDisplay(HasData<T> display)` Set the display that is listening to this `TreeViewModel.DefaultNodeInfo`.
`void` | `unsetDataDisplay()` Unset the display from the `TreeViewModel.DefaultNodeInfo`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeViewModel.DefaultNodeInfo

    public TreeViewModel.DefaultNodeInfo(AbstractDataProvider<T> dataProvider,
                                         Cell<T> cell)

  Construct a new `TreeViewModel.DefaultNodeInfo`.

  Parameters:
    `dataProvider` - the `AbstractDataProvider` that provides the child values
    `cell` - the `Cell` used to render the child values

### TreeViewModel.DefaultNodeInfo

    public TreeViewModel.DefaultNodeInfo(AbstractDataProvider<T> dataProvider,
                                         Cell<T> cell,
                                         SelectionModel<? super T> selectionModel,
                                         ValueUpdater<T> valueUpdater)

  Construct a new `TreeViewModel.DefaultNodeInfo`.

  Parameters:
    `dataProvider` - the `AbstractDataProvider` that provides the child values
    `cell` - the `Cell` used to render the child values update when the selection changes
    `selectionModel` - the `SelectionModel` used for selection
    `valueUpdater` - the `ValueUpdater`

### TreeViewModel.DefaultNodeInfo

    public TreeViewModel.DefaultNodeInfo(AbstractDataProvider<T> dataProvider,
                                         Cell<T> cell,
                                         SelectionModel<? super T> selectionModel,
                                         CellPreviewEvent.Handler<T> selectionEventManager,
                                         ValueUpdater<T> valueUpdater)

  Construct a new `TreeViewModel.DefaultNodeInfo`.

  Parameters:
    `dataProvider` - the `AbstractDataProvider` that provides the child values
    `cell` - the `Cell` used to render the child values update when the selection changes
    `selectionModel` - the `SelectionModel` used for selection
    `selectionEventManager` - the `CellPreviewEvent.Handler` that handles user selection interaction
    `valueUpdater` - the `ValueUpdater`

Method Detail

### getCell

    public Cell<T> getCell()

  Description copied from interface: `TreeViewModel.NodeInfo`
  Get the `Cell` used to render the children of this node.

  Specified by:
    `getCell` in interface `TreeViewModel.NodeInfo<T>`
  Returns:
    the `Cell`

### getProvidesKey

    public ProvidesKey<T> getProvidesKey()

  Description copied from interface: `TreeViewModel.NodeInfo`
  Return the key provider for children of this node.

  Specified by:
    `getProvidesKey` in interface `TreeViewModel.NodeInfo<T>`
  Returns:
    the `ProvidesKey`

### getSelectionModel

    public SelectionModel<? super T> getSelectionModel()

  Description copied from interface: `TreeViewModel.NodeInfo`
  Get the `SelectionModel` used for the children of this node. To unify selection across all items of the same type, or across the entire tree, return the same instance of `SelectionModel` from all `TreeViewModel.DefaultNodeInfo`.

  Specified by:
    `getSelectionModel` in interface `TreeViewModel.NodeInfo<T>`
  Returns:
    the `SelectionModel`

### getValueUpdater

    public ValueUpdater<T> getValueUpdater()

  Description copied from interface: `TreeViewModel.NodeInfo`
  Get the value updater associated with the cell.

  Specified by:
    `getValueUpdater` in interface `TreeViewModel.NodeInfo<T>`
  Returns:
    the value updater

### setDataDisplay

    public void setDataDisplay(HasData<T> display)

  Description copied from interface: `TreeViewModel.NodeInfo`
  Set the display that is listening to this `TreeViewModel.DefaultNodeInfo`. The implementation should attach the display to the source of data.

  Specified by:
    `setDataDisplay` in interface `TreeViewModel.NodeInfo<T>`
  Parameters:
    `display` - the `HasData`

### unsetDataDisplay

    public void unsetDataDisplay()

  Description copied from interface: `TreeViewModel.NodeInfo`
  Unset the display from the `TreeViewModel.DefaultNodeInfo`. The implementation should detach the display from the source of data.

  Specified by:
    `unsetDataDisplay` in interface `TreeViewModel.NodeInfo<T>`

GWT 2.7.0